Bug 125597 - Read-only file system error at startup
Read-only file system error at startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
: 125596 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 04:27 EDT by albert vilella
Modified: 2015-01-04 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description albert vilella 2004-06-09 04:27:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I get an error just after "Checking for hardware" at startup:

Updating /etc/fstab Unable to open /etc/fstab for writing: Read-only
file system
                  [FAILED]
touch: cannot touch `/var/lock/subsys/kudzu': Read-only file system
Starting cpuspeed:     [OK]
touch: cannot touch `/var/lock/subsys/cpuspeed': Read-only file system
Setting network parameters:    [OK]
Bringing up loopback interface:     [OK]
Bring up interface eth0:    [OK]
touch: cannot touch `/var/lock/subsys/network': Read-only file system
Starting system logger:

Here gets clogged for 3-5 minutes

Then keeps going, with more errors:
touch: cannot touch `/var/lock/subsys/xxxxxxx': Read-only file system

Then the X is not able to start...

If I login as root on console mode and run "df" the partitions seem to
be lost:

Filesystem      1K-blocks      Used    Available    Use%   Mounted on
/dev/hda2        12096756   6616716      4865556     58%   /
/dev/hda1        12096756   6616716      4865556     58%   /boot
/dev/hda5        12096756   6616716      4865556     58%   /data1
/dev/hda7        12096756   6616716      4865556     58%   /data2
none        12096756   6616716      4865556     58%   /dev/shm
/dev/hda6        12096756   6616716      4865556     58%   /home

I did a fresh install of FC2 yesterday checking the size of the hard
drive and using (maybe cylinders and tables are the other way around):

linux hda:4864,255,63

Any hint?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Reboot
2. Wait 5 minutes until complete startup
3. See errors
    

Actual Results:  See lots of errors regarding read-only file system
and X not starting up

Expected Results:  Normal bootup, as it was yesterday for a couple or
3 times

Additional info:

Yesterday I switched off some services in system-config-services,
mainly NFS-related, special fonts, bluetooth and pcmcia interfaces.
Maybe I switched off one of them that is needed, but I find it strange
as the error happens just after "Checking for new hardware"
Comment 1 albert vilella 2004-06-09 04:44:36 EDT
BTW, there has always been a warning at the beggining of bootup, even
when was booting up ok:

PCI: Cannot allocate resource region 0 of device 0000:00:0a:0

which (according to lspci -v) corresponds to the CardBus Bridge:

0000:00:0a.0 CardBus bridge: O2 Micro, Inc. OZ6912 CardBus Controller
   Subsystem: Fujitsu Limited.: Unknown device 10e7
   Flags: bus master, stepping, slow devsel, latency 168, IRQ 11
   Memory at 1e000000 (32-bit, non-prefetchable)
   Bus: primary=00, sceondary=02, subordinate=05, sec-latency=176
   Memory window 0: 1e400000-1e7ff000 (prefetchable)
   Memory window 1: 1e800000-1ebff000
   I/O window 0: 00004000-000040ff
   I/O window 1: 00004400-000044ff
   16-bit legacy interface ports at 0001

And, I have tried to bootup with KNOPPIX and everything is fine, no
data loss, etc.
Comment 2 albert vilella 2004-06-09 04:46:17 EDT
*** Bug 125596 has been marked as a duplicate of this bug. ***
Comment 3 Rik Meijer 2004-11-09 20:36:43 EST
I had exactly the same problems as described above directly after
installing FC3. 
Hardrive setup:
Filesystem      Mounted on
/dev/hda1       C:/WINDOWS
/dev/hda2        /home
/dev/hda3        swap

/dev/hdb1       /
Comment 4 Dave Jones 2005-04-16 01:30:56 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.